import request from '@/utils/request'

// 查询商品信息采集模板列表
export function listFsStoreProductUserTemp(query) {
  return request({
    url: '/store/store/storeProductUserTemp/list',
    method: 'get',
    params: query
  })
}

// 查询商品信息采集模板详细
export function getFsStoreProductUserTemp(id) {
  return request({
    url: '/store/store/storeProductUserTemp/' + id,
    method: 'get'
  })
}

// 新增商品信息采集模板
export function addFsStoreProductUserTemp(data) {
  return request({
    url: '/store/store/storeProductUserTemp',
    method: 'post',
    data: data
  })
}

// 修改商品信息采集模板
export function updateFsStoreProductUserTemp(data) {
  return request({
    url: '/store/store/storeProductUserTemp',
    method: 'put',
    data: data
  })
}

// 删除商品信息采集模板
export function delFsStoreProductUserTemp(id) {
  return request({
    url: '/store/store/storeProductUserTemp/' + id,
    method: 'delete'
  })
}

// 导出商品信息采集模板
export function exportFsStoreProductUserTemp(query) {
  return request({
    url: '/store/store/storeProductUserTemp/export',
    method: 'get',
    params: query
  })
}
